LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Modules | Variables
UIElementType.idl File Reference

Go to the source code of this file.

## Modules
module | com
| – idl definition –
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::ui
| Dialogs and other UI elements.

## Constant Groups
constants | com::sun::star::ui::UIElementType
| determine the type of a user interface element which is controlled by a layout manager.

## Variables
const short | UNKNOWN = 0
| unknown user interface element type, which can be used as a wildcard to specify all types. More...
const short | MENUBAR = 1
| specifies a menu bar. More...
const short | POPUPMENU = 2
| specifies a pop-up menu. More...
const short | TOOLBAR = 3
| specifies a toolbar. More...
const short | STATUSBAR = 4
| specifies a statusbar. More...
const short | FLOATINGWINDOW = 5
| specifies a floating window, which can also be docked. More...
const short | PROGRESSBAR = 6
| specifies a floating window, which can also be docked. More...
const short | TOOLPANEL = 7
| specifies a tool panel More...
const short | DOCKINGWINDOW = 7
| specifies a window that can be docked. More...
const short | COUNT = 8
| specifies the number of constants. More...